Package picard.sam

## Enum AbstractAlignmentMerger.UnmappingReadStrategy

- java.lang.Object
- - java.lang.Enum<AbstractAlignmentMerger.UnmappingReadStrategy>
  - - picard.sam.AbstractAlignmentMerger.UnmappingReadStrategy

- All Implemented Interfaces:
    `Serializable`, `Comparable<AbstractAlignmentMerger.UnmappingReadStrategy>`
  Enclosing class:
    AbstractAlignmentMerger

      public static enum AbstractAlignmentMerger.UnmappingReadStrategy
      extends Enum<AbstractAlignmentMerger.UnmappingReadStrategy>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `COPY_TO_TAG` |
    `DO_NOT_CHANGE` |
    `MOVE_TO_TAG` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `isPopulatePaTag()` |
    `boolean` | `isResetMappingInformation()` |
    `static AbstractAlignmentMerger.UnmappingReadStrategy` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static AbstractAlignmentMerger.UnmappingReadStrategy[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### COPY_TO_TAG

          public static final AbstractAlignmentMerger.UnmappingReadStrategy COPY_TO_TAG

    - #### DO_NOT_CHANGE

          public static final AbstractAlignmentMerger.UnmappingReadStrategy DO_NOT_CHANGE

    - #### MOVE_TO_TAG

          public static final AbstractAlignmentMerger.UnmappingReadStrategy MOVE_TO_TAG

  - ### Method Detail

    - #### values

          public static AbstractAlignmentMerger.UnmappingReadStrategy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AbstractAlignmentMerger.UnmappingReadStrategy c : AbstractAlignmentMerger.UnmappingReadStrategy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AbstractAlignmentMerger.UnmappingReadStrategy valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### isResetMappingInformation

          public boolean isResetMappingInformation()

    - #### isPopulatePaTag

          public boolean isPopulatePaTag()